summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Proschofsky <suka@gentoo.org>2012-06-06 08:32:13 +0000
committerAndreas Proschofsky <suka@gentoo.org>2012-06-06 08:32:13 +0000
commit5eb48a196886c7312289bf720beb7874ffe8389e (patch)
tree9c802174fb14ad4498d5c13663892f027eec9198
parentFirst bunch of GNOME 3.5.2 stuff (diff)
downloadsuka-5eb48a196886c7312289bf720beb7874ffe8389e.tar.gz
suka-5eb48a196886c7312289bf720beb7874ffe8389e.tar.bz2
suka-5eb48a196886c7312289bf720beb7874ffe8389e.zip
Another bunch of GNOME 3.5.2 updates
svn path=/; revision=338
-rw-r--r--dev-libs/gjs/Manifest2
-rw-r--r--dev-libs/gjs/gjs-1.33.2.ebuild67
-rw-r--r--dev-libs/gobject-introspection-common/Manifest2
-rw-r--r--dev-libs/gobject-introspection-common/gobject-introspection-common-1.33.2.ebuild35
-rw-r--r--dev-libs/gobject-introspection/Manifest2
-rw-r--r--dev-libs/gobject-introspection/gobject-introspection-1.33.2.ebuild97
-rw-r--r--gnome-base/gnome-session/Manifest6
-rwxr-xr-xgnome-base/gnome-session/files/10-user-dirs-update-gnome-r110
-rw-r--r--gnome-base/gnome-session/files/15-xdg-data-gnome-r19
-rw-r--r--gnome-base/gnome-session/files/Gnome109
-rw-r--r--gnome-base/gnome-session/files/defaults.list336
-rw-r--r--gnome-base/gnome-session/gnome-session-3.5.2.ebuild103
-rw-r--r--media-libs/clutter-gtk/Manifest2
-rw-r--r--media-libs/clutter-gtk/clutter-gtk-1.3.2.ebuild35
-rw-r--r--media-libs/clutter/Manifest2
-rw-r--r--media-libs/clutter/clutter-1.11.4.ebuild105
-rw-r--r--net-libs/gnome-online-accounts/Manifest6
-rw-r--r--net-libs/gnome-online-accounts/gnome-online-accounts-3.5.2.ebuild (renamed from net-libs/gnome-online-accounts/gnome-online-accounts-3.5.1.ebuild)2
-rw-r--r--net-libs/gnome-online-accounts/gnome-online-accounts-9999.ebuild2
-rw-r--r--sys-apps/gnome-disk-utility/Manifest4
-rw-r--r--sys-apps/gnome-disk-utility/gnome-disk-utility-3.5.2.ebuild (renamed from sys-apps/gnome-disk-utility/gnome-disk-utility-3.5.1.ebuild)1
-rw-r--r--x11-themes/gnome-themes-standard/Manifest2
-rw-r--r--x11-themes/gnome-themes-standard/gnome-themes-standard-3.5.2.ebuild58
23 files changed, 990 insertions, 7 deletions
diff --git a/dev-libs/gjs/Manifest b/dev-libs/gjs/Manifest
new file mode 100644
index 0000000..4bc657f
--- /dev/null
+++ b/dev-libs/gjs/Manifest
@@ -0,0 +1,2 @@
+DIST gjs-1.33.2.tar.xz 465900 RMD160 01c068b1be88ba4d1229f1c53a3739e59e2b5d5d SHA1 1e1d1a0636cddffb7aa79a25416ce2349f7ddeb4 SHA256 aa1fe3dd97e5f0e657d758001eea2a2dabd63337cad9c9fcf99805d93db145a8
+EBUILD gjs-1.33.2.ebuild 1542 RMD160 09151587ee9e2dced2fe5a1569e147e0254ceb02 SHA1 d92e51330d4f9a1c877fe6234acc4137375f1b2d SHA256 25d65ae5f11df0e971f7df0ead3383c6f864002a449a3eb703664576cbbff912
diff --git a/dev-libs/gjs/gjs-1.33.2.ebuild b/dev-libs/gjs/gjs-1.33.2.ebuild
new file mode 100644
index 0000000..7bec3ac
--- /dev/null
+++ b/dev-libs/gjs/gjs-1.33.2.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/gjs/gjs-1.32.0.ebuild,v 1.3 2012/05/28 00:19:48 mattst88 Exp $
+
+EAPI="4"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+PYTHON_DEPEND="2"
+
+inherit gnome2 pax-utils python virtualx
+
+DESCRIPTION="Javascript bindings for GNOME"
+HOMEPAGE="http://live.gnome.org/Gjs"
+
+LICENSE="MIT MPL-1.1 LGPL-2 GPL-2"
+SLOT="0"
+IUSE="examples test"
+KEYWORDS="~alpha ~amd64 ~x86"
+
+RDEPEND=">=dev-libs/glib-2.31:2
+ >=dev-libs/gobject-introspection-1.31.22
+
+ dev-libs/dbus-glib
+ sys-libs/readline
+ x11-libs/cairo
+ >=dev-lang/spidermonkey-1.8.5"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+pkg_setup() {
+ # AUTHORS, ChangeLog are empty
+ DOCS="NEWS README"
+ # FIXME: add systemtap/dtrace support, like in glib:2
+ # FIXME: --enable-systemtap installs files in ${D}/${D} for some reason
+ # XXX: Do NOT enable coverage, completely useless for portage installs
+ G2CONF="${G2CONF}
+ --disable-systemtap
+ --disable-dtrace
+ --disable-coverage"
+
+ python_set_active_version 2
+ python_pkg_setup
+}
+
+src_prepare() {
+ gnome2_src_prepare
+ python_convert_shebangs 2 "${S}"/scripts/make-tests
+}
+
+src_test() {
+ # Tests need dbus
+ Xemake check
+}
+
+src_install() {
+ # installation sometimes fails in parallel
+ gnome2_src_install -j1
+
+ if use examples; then
+ insinto /usr/share/doc/${PF}/examples
+ doins ${S}/examples/*
+ fi
+
+ # Required for gjs-console to run correctly on PaX systems
+ pax-mark mr "${ED}/usr/bin/gjs-console"
+}
diff --git a/dev-libs/gobject-introspection-common/Manifest b/dev-libs/gobject-introspection-common/Manifest
new file mode 100644
index 0000000..389f0e4
--- /dev/null
+++ b/dev-libs/gobject-introspection-common/Manifest
@@ -0,0 +1,2 @@
+DIST gobject-introspection-1.33.2.tar.xz 1083660 RMD160 52577bdec653906029e63acadf26ebac10aba1ae SHA1 deab4c56ad08d6228b1fa1263cfb6e7e66482154 SHA256 86f7325a7a8e1df7eb99d3bed83dead92e1283a8ec167b57727f138a205bb9e7
+EBUILD gobject-introspection-common-1.33.2.ebuild 1126 RMD160 f7386a9b93d9480d0130a2eefd38f9f411554ce1 SHA1 2ec2e66458db4e8cd2df1a3cb73f47f194ae7f7e SHA256 3e7a398d0649e78c3f68bf48f47fcccfb622b9be4044471ae565ae55542b3b8c
diff --git a/dev-libs/gobject-introspection-common/gobject-introspection-common-1.33.2.ebuild b/dev-libs/gobject-introspection-common/gobject-introspection-common-1.33.2.ebuild
new file mode 100644
index 0000000..dc404fd
--- /dev/null
+++ b/dev-libs/gobject-introspection-common/gobject-introspection-common-1.33.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/gobject-introspection-common/gobject-introspection-common-1.32.1.ebuild,v 1.2 2012/04/26 22:28:15 aballier Exp $
+
+EAPI="4"
+GNOME_ORG_MODULE="gobject-introspection"
+
+inherit gnome.org
+
+DESCRIPTION="Build infrastructure for GObject Introspection"
+HOMEPAGE="http://live.gnome.org/GObjectIntrospection/"
+
+LICENSE="as-is"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}
+ !<dev-libs/gobject-introspection-1.32.0"
+# Before 1.32.0, ${PN} was part of gobject-introspection
+
+src_configure() { :; }
+
+src_compile() { :; }
+
+src_install() {
+ dodir /usr/share/aclocal
+ insinto /usr/share/aclocal
+ doins m4/introspection.m4
+
+ dodir /usr/share/gobject-introspection-1.0
+ insinto /usr/share/gobject-introspection-1.0
+ doins Makefile.introspection
+}
diff --git a/dev-libs/gobject-introspection/Manifest b/dev-libs/gobject-introspection/Manifest
new file mode 100644
index 0000000..de0e677
--- /dev/null
+++ b/dev-libs/gobject-introspection/Manifest
@@ -0,0 +1,2 @@
+DIST gobject-introspection-1.33.2.tar.xz 1083660 RMD160 52577bdec653906029e63acadf26ebac10aba1ae SHA1 deab4c56ad08d6228b1fa1263cfb6e7e66482154 SHA256 86f7325a7a8e1df7eb99d3bed83dead92e1283a8ec167b57727f138a205bb9e7
+EBUILD gobject-introspection-1.33.2.ebuild 2902 RMD160 1c99b5db7412288acc16986eccb395f72d8141ae SHA1 7bee08fe4e6b714b76fe3b9e8797075d91c7a176 SHA256 ca3946d4c7c766f8b41a27fbb02e991f8b560fad9a2776d33dc1f8d552d985ca
diff --git a/dev-libs/gobject-introspection/gobject-introspection-1.33.2.ebuild b/dev-libs/gobject-introspection/gobject-introspection-1.33.2.ebuild
new file mode 100644
index 0000000..b4c482c
--- /dev/null
+++ b/dev-libs/gobject-introspection/gobject-introspection-1.33.2.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/gobject-introspection/gobject-introspection-1.32.1.ebuild,v 1.5 2012/06/04 07:30:23 tetromino Exp $
+
+EAPI="4"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+PYTHON_DEPEND="2:2.7"
+PYTHON_USE_WITH="xml"
+
+inherit gnome2 python
+
+DESCRIPTION="Introspection infrastructure for generating gobject library bindings for various languages"
+HOMEPAGE="http://live.gnome.org/GObjectIntrospection/"
+
+LICENSE="LGPL-2 GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+IUSE="doc doctool test"
+
+RDEPEND=">=dev-libs/gobject-introspection-common-${PV}
+ >=dev-libs/glib-2.31.22:2
+ doctool? ( dev-python/mako )
+ virtual/libffi"
+# Wants real bison, not virtual/yacc
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ sys-devel/bison
+ sys-devel/flex
+ doc? ( >=dev-util/gtk-doc-1.15 )"
+# PDEPEND to avoid circular dependencies, bug #391213
+PDEPEND="x11-libs/cairo[glib]"
+
+pkg_setup() {
+ DOCS="AUTHORS CONTRIBUTORS ChangeLog NEWS README TODO"
+ G2CONF="${G2CONF}
+ --disable-static
+ YACC=$(type -p yacc)
+ $(use_enable doctool)
+ $(use_enable test tests)"
+
+ python_set_active_version 2
+ python_pkg_setup
+}
+
+src_prepare() {
+ # FIXME: Parallel compilation failure with USE=doc
+ use doc && MAKEOPTS="-j1"
+
+ gnome2_src_prepare
+
+ python_clean_py-compile_files
+
+ # avoid GNU-isms
+ sed -i -e 's/\(if test .* \)==/\1=/' configure || die
+
+ gi_skip_tests=
+ if ! has_version "x11-libs/cairo[glib]"; then
+ # Bug #391213: enable cairo-gobject support even if it's not installed
+ # We only PDEPEND on cairo to avoid circular dependencies
+ export CAIRO_LIBS="-lcairo"
+ export CAIRO_CFLAGS="-I${EPREFIX}/usr/include/cairo"
+ export CAIRO_GOBJECT_LIBS="-lcairo-gobject"
+ export CAIRO_GOBJECT_CFLAGS="-I${EPREFIX}/usr/include/cairo"
+ if use test; then
+ G2CONF="${G2CONF} --disable-tests"
+ gi_skip_tests=yes
+ ewarn "Tests will be skipped because x11-libs/cairo[glib] is not present"
+ ewarn "on your system. Consider installing it to get tests to run."
+ fi
+ fi
+}
+
+src_test() {
+ [[ -z ${gi_skip_tests} ]] && default
+}
+
+src_install() {
+ gnome2_src_install
+ python_convert_shebangs 2 "${ED}"usr/bin/g-ir-{annotation-tool,scanner}
+ use doctool && python_convert_shebangs 2 "${ED}"usr/bin/g-ir-doc-tool
+
+ # Prevent collision with gobject-introspection-common
+ rm -v "${ED}"usr/share/aclocal/introspection.m4 \
+ "${ED}"usr/share/gobject-introspection-1.0/Makefile.introspection || die
+ rmdir "${ED}"usr/share/aclocal || die
+}
+
+pkg_postinst() {
+ python_mod_optimize /usr/$(get_libdir)/${PN}/giscanner
+ python_need_rebuild
+}
+
+pkg_postrm() {
+ python_mod_cleanup /usr/$(get_libdir)/${PN}/giscanner
+}
diff --git a/gnome-base/gnome-session/Manifest b/gnome-base/gnome-session/Manifest
new file mode 100644
index 0000000..aae1902
--- /dev/null
+++ b/gnome-base/gnome-session/Manifest
@@ -0,0 +1,6 @@
+AUX 10-user-dirs-update-gnome-r1 299 RMD160 c76707fdce421431884beeabd60d5f0ce7716d26 SHA1 6adf982b43d2eeaa86622ecfd6b5f70eb772a9c2 SHA256 4baf3771a18f87db323580d868f232bf33830f72dcc54b4b3aa3d9bc9cce05e5
+AUX 15-xdg-data-gnome-r1 262 RMD160 6305f879183ecafae77d4cfd7bf035d44d801924 SHA1 99c5eb8187a608ab0b8cffe68eedb10e73dc1968 SHA256 860767c9ee4fc9e0d29c20cd8143311db7d0981ed4f590069d0d9edf46ec0b24
+AUX Gnome 2391 RMD160 dee0875327352ae70f71b73257deb8ccc5bbc3ba SHA1 9d6f5c7c4f7aee36ea64b30c57b9cb9818664c42 SHA256 ffc912945278c88ef854c8988b0042675ffa78525592f34580ee76c1f25309d3
+AUX defaults.list 14665 RMD160 4911cb92c2b4fb6a2cf0df760a6b8b69edb7633d SHA1 1954df452a625450cb3059f86774da83f02f40e7 SHA256 34af159eee20aa4f169fa0e368be33117d828b2db6daab7dc4826d9330719b21
+DIST gnome-session-3.5.2.tar.xz 717776 RMD160 758394e93aedfa41d5c1e05666d4bdbaadf4fbc0 SHA1 337051ba10dc8f21ca31aa97e4590dbdcd4895d2 SHA256 a6444668c9f6772232fcf31ba4bc18b8f2f37b80924b77bd486fb0630ff0184f
+EBUILD gnome-session-3.5.2.ebuild 3064 RMD160 7e0887ce12021240a89a60540be2240e85a315fb SHA1 7c22cdc9cab3a85be2ae9738ad8848255c199ed8 SHA256 c4abe9f9cd9505f24cae85cda70825042730b2637d8e270388b2233888ad2554
diff --git a/gnome-base/gnome-session/files/10-user-dirs-update-gnome-r1 b/gnome-base/gnome-session/files/10-user-dirs-update-gnome-r1
new file mode 100755
index 0000000..61fd08c
--- /dev/null
+++ b/gnome-base/gnome-session/files/10-user-dirs-update-gnome-r1
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# Create various XDG directories, and write ~/.config/user-dirs.dirs, etc.
+# That file is read by glib to get XDG_PICTURES_DIR, etc
+
+if [ "$DESKTOP_SESSION" = "gnome" -o "$DESKTOP_SESSION" = "cinnamon" ]; then
+ if type xdg-user-dirs-update &>/dev/null; then
+ xdg-user-dirs-update
+ fi
+fi
diff --git a/gnome-base/gnome-session/files/15-xdg-data-gnome-r1 b/gnome-base/gnome-session/files/15-xdg-data-gnome-r1
new file mode 100644
index 0000000..5eaa698
--- /dev/null
+++ b/gnome-base/gnome-session/files/15-xdg-data-gnome-r1
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+if [ "$DESKTOP_SESSION" = "gnome" -o "$DESKTOP_SESSION" = "cinnamon" ]; then
+ if [ -z "$XDG_DATA_DIRS" ]; then
+ export XDG_DATA_DIRS=/usr/share/gnome:/usr/local/share/:/usr/share/
+ else
+ export XDG_DATA_DIRS=/usr/share/gnome:"$XDG_DATA_DIRS"
+ fi
+fi
diff --git a/gnome-base/gnome-session/files/Gnome b/gnome-base/gnome-session/files/Gnome
new file mode 100644
index 0000000..55d39b6
--- /dev/null
+++ b/gnome-base/gnome-session/files/Gnome
@@ -0,0 +1,109 @@
+#!/bin/sh
+#
+# This file has bitrotted badly. Someone needs to clean this up.
+#
+
+if [ -f /etc/xdg/menus/gnome-applications.menu ] ; then
+ export XDG_MENU_PREFIX=gnome-
+fi
+
+for errfile in "$HOME/.gnomerc-errors" "${TMPDIR-/tmp}/gnomerc-$USER" "/tmp/gnomerc-$USER"
+do
+ if ( cp /dev/null "$errfile" 2> /dev/null )
+ then
+ chmod 600 "$errfile"
+ exec > "$errfile" 2>&1
+ break
+ fi
+done
+#
+# Distributors:
+# You should modify the paths here to fit your distro
+# If you need to do so, send me (jirka@5z.com) a patch
+# and I'll try to make the script detect the distro stuff
+#
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+userxkbmap=$HOME/.Xkbmap
+
+sysresources=/etc/X11/Xresources
+sysmodmap=/etc/X11/Xmodmap
+sysxkbmap=/etc/X11/Xkbmap
+
+rh6sysresources=/etc/X11/xinit/Xresources
+rh6sysmodmap=/etc/X11/xinit/Xmodmap
+
+if [ -x "$HOME/.gnomerc" ]; then
+ command="$HOME/.gnomerc"
+elif [ -x /etc/X11/gdm/gnomerc ]; then
+ command="/etc/X11/gdm/gnomerc"
+else
+ # as fallback in case the config is screwed
+ command=`which gnome-session`
+fi
+
+# merge in defaults
+if [ -f "$rh6sysresources" ]; then
+ xrdb -merge "$rh6sysresources"
+fi
+
+if [ -f "$sysresources" ]; then
+ xrdb -merge "$sysresources"
+fi
+
+if [ -f "$userresources" ]; then
+ xrdb -merge "$userresources"
+fi
+
+# merge in keymaps
+if [ -f "$sysxkbmap" ]; then
+ setxkbmap `cat "$sysxkbmap"`
+ XKB_IN_USE=yes
+fi
+
+if [ -f "$userxkbmap" ]; then
+ setxkbmap `cat "$userxkbmap"`
+ XKB_IN_USE=yes
+fi
+
+#
+# Eeek, this seems like too much magic here
+#
+if [ -z "$XKB_IN_USE" ] && [ ! -L /etc/X11/X ]; then
+ if grep '^exec.*/Xsun' /etc/X11/X > /dev/null 2>&1 && [ -f /etc/X11/XF86Config ]; then
+ xkbsymbols=`sed -n -e 's/^[ ]*XkbSymbols[ ]*"\(.*\)".*$/\1/p' /etc/X11/XF86Config`
+ if [ -n "$xkbsymbols" ]; then
+ setxkbmap -symbols "$xkbsymbols"
+ XKB_IN_USE=yes
+ fi
+ fi
+fi
+
+# xkb and xmodmap don't play nice together
+if [ -z "$XKB_IN_USE" ]; then
+ if [ -f "$rh6sysmodmap" ]; then
+ xmodmap "$rh6sysmodmap"
+ fi
+
+ if [ -f "$sysmodmap" ]; then
+ xmodmap "$sysmodmap"
+ fi
+
+ if [ -f "$usermodmap" ]; then
+ xmodmap "$usermodmap"
+ fi
+fi
+
+unset XKB_IN_USE
+
+# run all system xinitrc shell scripts.
+if [ -d /etc/X11/xinit/xinitrc.d ]; then
+ for i in /etc/X11/xinit/xinitrc.d/* ; do
+ if [ -x "$i" ]; then
+ . "$i"
+ fi
+ done
+fi
+
+exec $command
diff --git a/gnome-base/gnome-session/files/defaults.list b/gnome-base/gnome-session/files/defaults.list
new file mode 100644
index 0000000..bac841c
--- /dev/null
+++ b/gnome-base/gnome-session/files/defaults.list
@@ -0,0 +1,336 @@
+[Default Applications]
+application/rtf=abiword.desktop
+application/x-abiword=abiword.desktop
+text/abiword=abiword.desktop
+text/richtext=abiword.desktop
+text/rtf=abiword.desktop
+text/x-abiword=abiword.desktop
+text/x-xml-abiword=abiword.desktop
+x-content/blank-bd=brasero-nautilus.desktop
+x-content/blank-dvd=brasero-nautilus.desktop
+x-content/blank-cd=brasero-nautilus.desktop
+x-content/blank-hddvd=brasero-nautilus.desktop
+application/x-dia-diagram=dia.desktop
+image/bmp=eog.desktop
+image/gif=eog.desktop
+image/jpeg=eog.desktop
+image/jpg=eog.desktop
+image/pjpeg=eog.desktop
+image/png=eog.desktop
+image/svg+xml=eog.desktop
+image/svg+xml-compressed=eog.desktop
+image/x-bmp=eog.desktop
+image/x-gray=eog.desktop
+image/x-icb=eog.desktop
+image/x-ico=eog.desktop
+image/x-pcx=eog.desktop
+image/x-png=eog.desktop
+image/x-portable-anymap=eog.desktop
+image/x-portable-bitmap=eog.desktop
+image/x-portable-graymap=eog.desktop
+image/x-portable-pixmap=eog.desktop
+image/x-xbitmap=eog.desktop
+image/x-xpixmap=eog.desktop
+image/vnd.wap.wbmp=eog.desktop
+image/g3fax=gimp.desktop
+image/x-compressed-xcf=gimp.desktop
+image/x-fits=gimp.desktop
+image/x-icon=gimp.desktop
+image/x-psd=gimp.desktop
+image/x-sgi=gimp.desktop
+image/x-sun-raster=gimp.desktop
+image/x-tga=gimp.desktop
+image/x-xcf=gimp.desktop
+image/x-xwindowdump=gimp.desktop
+application/xhtml+xml=firefox.desktop;firefox-3.6.desktop;epiphany.desktop
+text/html=firefox.desktop;firefox-3.6.desktop;epiphany.desktop
+application/pdf=evince.desktop
+application/x-bzpdf=evince.desktop
+application/x-gzpdf=evince.desktop
+application/postscript=evince.desktop
+application/x-bzpostscript=evince.desktop
+application/x-gzpostscript=evince.desktop
+image/x-eps=evince.desktop
+image/x-bzeps=evince.desktop
+image/x-gzeps=evince.desktop
+application/x-dvi=evince.desktop
+application/x-bzdvi=evince.desktop
+application/x-gzdvi=evince.desktop
+image/vnd.djvu=evince.desktop
+image/tiff=evince.desktop
+application/x-cbr=evince.desktop
+application/x-cbz=evince.desktop
+application/x-cb7=evince.desktop
+application/x-7z-compressed=file-roller.desktop
+application/x-7z-compressed-tar=file-roller.desktop
+application/x-ace=file-roller.desktop
+application/x-alz=file-roller.desktop
+application/x-ar=file-roller.desktop
+application/x-arj=file-roller.desktop
+application/x-bzip=file-roller.desktop
+application/x-bzip-compressed-tar=file-roller.desktop
+application/x-bzip1=file-roller.desktop
+application/x-bzip1-compressed-tar=file-roller.desktop
+application/x-cabinet=file-roller.desktop
+application/x-cd-image=file-roller.desktop
+application/x-compress=file-roller.desktop
+application/x-compressed-tar=file-roller.desktop
+application/x-cpio=file-roller.desktop
+application/x-deb=file-roller.desktop
+application/x-ear=file-roller.desktop
+application/x-gtar=file-roller.desktop
+application/x-gzip=file-roller.desktop
+application/x-java-archive=file-roller.desktop
+application/x-lha=file-roller.desktop
+application/x-lhz=file-roller.desktop
+application/x-lzip=file-roller.desktop
+application/x-lzip-compressed-tar=file-roller.desktop
+application/x-lzma=file-roller.desktop
+application/x-lzma-compressed-tar=file-roller.desktop
+application/x-lzop=file-roller.desktop
+application/x-lzop-compressed-tar=file-roller.desktop
+application/x-rar=file-roller.desktop
+application/x-rar-compressed=file-roller.desktop
+application/x-rpm=file-roller.desktop
+application/x-rzip=file-roller.desktop
+application/x-tar=file-roller.desktop
+application/x-tarz=file-roller.desktop
+application/x-stuffit=file-roller.desktop
+application/x-war=file-roller.desktop
+application/x-xz=file-roller.desktop
+application/x-xz-compressed-tar=file-roller.desktop
+application/x-zip=file-roller.desktop
+application/x-zip-compressed=file-roller.desktop
+application/x-zoo=file-roller.desktop
+application/zip=file-roller.desktop
+multipart/x-zip=file-roller.desktop
+text/plain=gedit.desktop
+text/css=gedit.desktop
+text/javascript=gedit.desktop
+text/mathml=gedit.desktop
+text/x-csrc=gedit.desktop
+text/x-chdr=gedit.desktop
+text/x-dtd=gedit.desktop
+text/x-java=gedit.desktop
+text/x-javascript=gedit.desktop
+text/x-patch=gedit.desktop
+text/x-perl=gedit.destkop
+text/x-php=gedit.destkop
+text/x-python=gedit.destkop
+text/x-sql=gedit.desktop
+text/xml=gedit.desktop
+application/javascript=gedit.destkop
+application/x-cgi=gedit.desktop
+application/x-javascript=gedit.desktop
+application/x-perl=gedit.desktop
+application/x-php=gedit.desktop
+application/x-python=gedit.desktop
+application/xml=gedit.desktop
+application/xml-dtd=gedit.desktop
+application/x-font-ttf=gnome-font-viewer.desktop
+application/x-font-pcf=gnome-font-viewer.desktop
+application/x-font-type1=gnome-font-viewer.desktop
+application/x-font-otf=gnome-font-viewer.desktop
+application/csv=gnumeric.desktop
+application/excel=gnumeric.desktop
+application/msexcel=gnumeric.desktop
+application/tab-separated-values=gnumeric.desktop
+application/vnd.lotus-1-2-3=gnumeric.desktop
+application/vnd.ms-excel=gnumeric.desktop
+application/x-123=gnumeric.desktop
+application/x-applix-spreadsheet=gnumeric.desktop
+application/x-dbase=gnumeric.desktop
+application/x-dbf=gnumeric.desktop
+application/x-dos_ms_excel=gnumeric.desktop
+application/x-excel=gnumeric.desktop
+application/x-gnumeric=gnumeric.desktop
+application/x-mps=gnumeric.desktop
+application/x-ms-excel=gnumeric.desktop
+application/x-msexcel=gnumeric.desktop
+application/x-oleo=gnumeric.desktop
+application/x-planperfect=gnumeric.desktop
+application/x-quattropro=gnumeric.desktop
+application/x-sc=gnumeric.desktop
+application/x-sylk=gnumeric.desktop
+application/x-xbase=gnumeric.desktop
+application/x-xls=gnumeric.desktop
+application/xls=gnumeric.desktop
+text/comma-separated-values=gnumeric.desktop
+text/csv=gnumeric.desktop
+text/spreadsheet=gnumeric.desktop
+text/tab-separated-values=gnumeric.desktop
+text/x-comma-separated-values=gnumeric.desktop
+text/x-csv=gnumeric.desktop
+zz-application/zz-winassoc-xls=gnumeric.desktop
+x-content/software=nautilus-autorun-software.desktop
+x-directory/gnome-default-handler=nautilus-folder-handler.desktop
+x-directory/normal=nautilus-folder-handler.desktop
+inode/directory=nautilus-folder-handler.desktop
+application/x-gnome-saved-search=nautilus-folder-handler.desktop
+application/vnd.oasis.opendocument.spreadsheet=libreoffice-calc.desktop;openoffice.org-calc.desktop
+application/vnd.oasis.opendocument.spreadsheet-template=libreoffice-calc.desktop;openoffice.org-calc.desktop
+application/vnd.sun.xml.calc=libreoffice-calc.desktop;openoffice.org-calc.desktop
+application/vnd.sun.xml.calc.template=libreoffice-calc.desktop;openoffice.org-calc.desktop
+application/vnd.stardivision.calc=libreoffice-calc.desktop;openoffice.org-calc.desktop
+application/vnd.stardivision.chart=libreoffice-calc.desktop;openoffice.org-calc.desktop
+application/vnd.openxmlformats-officedocument.spreadsheetml.sheet=libreoffice-calc.desktop;openoffice.org-calc.desktop
+application/vnd.ms-excel.sheet.macroenabled.12=libreoffice-calc.desktop;openoffice.org-calc.desktop
+application/vnd.openxmlformats-officedocument.spreadsheetml.template=libreoffice-calc.desktop;openoffice.org-calc.desktop
+application/vnd.ms-excel.template.macroenabled.12=libreoffice-calc.desktop;openoffice.org-calc.desktop
+application/vnd.ms-excel.sheet.binary.macroenabled.12=libreoffice-calc.desktop;openoffice.org-calc.desktop
+application/vnd.oasis.opendocument.graphics=libreoffice-draw.desktop;openoffice.org-draw.desktop
+application/vnd.oasis.opendocument.graphics-template=libreoffice-draw.desktop;openoffice.org-draw.desktop
+application/vnd.sun.xml.draw=libreoffice-draw.desktop;openoffice.org-draw.desktop
+application/vnd.sun.xml.draw.template=libreoffice-draw.desktop;openoffice.org-draw.desktop
+application/vnd.stardivision.draw=libreoffice-draw.desktop;openoffice.org-draw.desktop
+application/vnd.oasis.opendocument.presentation=libreoffice-impress.desktop;openoffice.org-impress.desktop
+application/vnd.oasis.opendocument.presentation-template=libreoffice-impress.desktop;openoffice.org-impress.desktop
+application/vnd.sun.xml.impress=libreoffice-impress.desktop;openoffice.org-impress.desktop
+application/vnd.sun.xml.impress.template=libreoffice-impress.desktop;openoffice.org-impress.desktop
+application/vnd.stardivision.impress=libreoffice-impress.desktop;openoffice.org-impress.desktop
+application/mspowerpoint=libreoffice-impress.desktop;openoffice.org-impress.desktop
+application/vnd.ms-powerpoint=libreoffice-impress.desktop;openoffice.org-impress.desktop
+application/vnd.openxmlformats-officedocument.presentationml.presentation=libreoffice-impress.desktop;openoffice.org-impress.desktop
+application/vnd.ms-powerpoint.presentation.macroenabled.12=libreoffice-impress.desktop;openoffice.org-impress.desktop
+application/vnd.openxmlformats-officedocument.presentationml.template=libreoffice-impress.desktop;openoffice.org-impress.desktop
+application/vnd.ms-powerpoint.template.macroenabled.12=libreoffice-impress.desktop;openoffice.org-impress.desktop
+application/vnd.oasis.opendocument.formula=libreoffice-math.desktop;openoffice.org-math.desktop
+application/vnd.sun.xml.math=libreoffice-math.desktop;openoffice.org-math.desktop
+application/vnd.stardivision.math=libreoffice-math.desktop;openoffice.org-math.desktop
+application/vnd.oasis.opendocument.text=libreoffice-writer.desktop;openoffice.org-writer.desktop
+application/vnd.oasis.opendocument.text-template=libreoffice-writer.desktop;openoffice.org-writer.desktop
+application/vnd.oasis.opendocument.text-web=libreoffice-writer.desktop;openoffice.org-writer.desktop
+application/vnd.oasis.opendocument.text-master=libreoffice-writer.desktop;openoffice.org-writer.desktop
+application/vnd.sun.xml.writer=libreoffice-writer.desktop;openoffice.org-writer.desktop
+application/vnd.sun.xml.writer.template=libreoffice-writer.desktop;openoffice.org-writer.desktop
+application/vnd.sun.xml.writer.global=libreoffice-writer.desktop;openoffice.org-writer.desktop
+application/vnd.stardivision.writer=libreoffice-writer.desktop;openoffice.org-writer.desktop
+application/msword=libreoffice-writer.desktop;openoffice.org-writer.desktop
+application/vnd.ms-word=libreoffice-writer.desktop;openoffice.org-writer.desktop
+application/x-doc=libreoffice-writer.desktop;openoffice.org-writer.desktop
+application/vnd.wordperfect=libreoffice-writer.desktop;openoffice.org-writer.desktop
+application/wordperfect=libreoffice-writer.desktop;openoffice.org-writer.desktop
+application/vnd.openxmlformats-officedocument.wordprocessingml.document=libreoffice-writer.desktop;openoffice.org-writer.desktop
+application/vnd.ms-word.document.macroenabled.12=libreoffice-writer.desktop;openoffice.org-writer.desktop
+application/vnd.openxmlformats-officedocument.wordprocessingml.template=libreoffice-writer.desktop;openoffice.org-writer.desktop
+application/vnd.ms-word.template.macroenabled.12=libreoffice-writer.desktop;openoffice.org-writer.desktop
+x-content/audio-player=rhythmbox.desktop
+x-content/audio-cdda=sound-juicer.desktop
+application/x-shockwave-flash=swfdec-player.desktop
+application/futuresplash=swfdec-player.desktop
+application/mxf=totem.desktop
+application/ogg=totem.desktop
+application/ram=totem.desktop
+application/sdp=totem.desktop
+application/smil=totem.desktop
+application/smil+xml=totem.desktop
+application/vnd.ms-wpl=totem.desktop
+application/vnd.rn-realmedia=totem.desktop
+application/x-extension-m4a=totem.desktop
+application/x-extension-mp4=totem.desktop
+application/x-flac=totem.desktop
+application/x-flash-video=totem.desktop
+application/x-lyx=lyx.desktop
+application/x-matroska=totem.desktop
+application/x-netshow-channel=totem.desktop
+application/x-ogg=totem.desktop
+application/x-quicktime-media-link=totem.desktop
+application/x-quicktimeplayer=totem.desktop
+application/x-shorten=totem.desktop
+application/x-smil=totem.desktop
+application/xspf+xml=totem.desktop
+audio/3gpp=totem.desktop
+audio/ac3=totem.desktop
+audio/AMR=totem.desktop
+audio/AMR-WB=totem.desktop
+audio/basic=totem.desktop
+audio/midi=totem.desktop
+audio/mp4=totem.desktop
+audio/mpeg=totem.desktop
+audio/mpegurl=totem.desktop
+audio/ogg=totem.desktop
+audio/prs.sid=totem.desktop
+audio/vnd.rn-realaudio=totem.desktop
+audio/x-ape=totem.desktop
+audio/x-flac=totem.desktop
+audio/x-gsm=totem.desktop
+audio/x-it=totem.desktop
+audio/x-m4a=totem.desktop
+audio/x-matroska=totem.desktop
+audio/x-mod=totem.desktop
+audio/x-mp3=totem.desktop
+audio/x-mpeg=totem.desktop
+audio/x-mpegurl=totem.desktop
+audio/x-ms-asf=totem.desktop
+audio/x-ms-asx=totem.desktop
+audio/x-ms-wax=totem.desktop
+audio/x-ms-wma=totem.desktop
+audio/x-musepack=totem.desktop
+audio/x-pn-aiff=totem.desktop
+audio/x-pn-au=totem.desktop
+audio/x-pn-realaudio=totem.desktop
+audio/x-pn-realaudio-plugin=totem.desktop
+audio/x-pn-wav=totem.desktop
+audio/x-pn-windows-acm=totem.desktop
+audio/x-realaudio=totem.desktop
+audio/x-real-audio=totem.desktop
+audio/x-sbc=totem.desktop
+audio/x-scpls=totem.desktop
+audio/x-speex=totem.desktop
+audio/x-tta=totem.desktop
+audio/x-vorbis=totem.desktop
+audio/x-vorbis+ogg=totem.desktop
+audio/x-wav=totem.desktop
+audio/x-wavpack=totem.desktop
+audio/x-xm=totem.desktop
+image/vnd.rn-realpix=totem.desktop
+image/x-pict=totem.desktop
+misc/ultravox=totem.desktop
+text/google-video-pointer=totem.desktop
+text/x-google-video-pointer=totem.desktop
+video/3gpp=totem.desktop
+video/dv=totem.desktop
+video/fli=totem.desktop
+video/flv=totem.desktop
+video/mp2t=totem.desktop
+video/mp4=totem.desktop
+video/mp4v-es=totem.desktop
+video/mpeg=totem.desktop
+video/msvideo=totem.desktop
+video/ogg=totem.desktop
+video/quicktime=totem.desktop
+video/vivo=totem.desktop
+video/vnd.divx=totem.desktop
+video/vnd.rn-realvideo=totem.desktop
+video/vnd.vivo=totem.desktop
+video/webm=totem.desktop
+video/x-anim=totem.desktop
+video/x-avi=totem.desktop
+video/x-flc=totem.desktop
+video/x-fli=totem.desktop
+video/x-flic=totem.desktop
+video/x-flv=totem.desktop
+video/x-m4v=totem.desktop
+video/x-matroska=totem.desktop
+video/x-mpeg=totem.desktop
+video/x-ms-asf=totem.desktop
+video/x-ms-asx=totem.desktop
+video/x-msvideo=totem.desktop
+video/x-ms-wm=totem.desktop
+video/x-ms-wmv=totem.desktop
+video/x-ms-wmx=totem.desktop
+video/x-ms-wvx=totem.desktop
+video/x-nsv=totem.desktop
+video/x-ogm+ogg=totem.desktop
+video/x-theora+ogg=totem.desktop
+video/x-totem-stream=totem.desktop
+x-content/video-dvd=totem.desktop
+x-content/video-vcd=totem.desktop
+x-content/video-svcd=totem.desktop
+x-scheme-handler/ghelp=yelp.desktop;
+x-scheme-handler/help=yelp.desktop;
+x-scheme-handler/http=firefox.desktop;epiphany.desktop
+x-scheme-handler/https=firefox.desktop;epiphany.desktop
+x-scheme-handler/mailto=evolution.desktop
+application/x-bittorrent=transmission-gtk.desktop;deluge.desktop
+x-scheme-handler/magnet=transmission-gtk.desktop;deluge.desktop
diff --git a/gnome-base/gnome-session/gnome-session-3.5.2.ebuild b/gnome-base/gnome-session/gnome-session-3.5.2.ebuild
new file mode 100644
index 0000000..fb9a129
--- /dev/null
+++ b/gnome-base/gnome-session/gnome-session-3.5.2.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/gnome-base/gnome-session/gnome-session-3.4.2.1.ebuild,v 1.1 2012/05/24 05:18:25 tetromino Exp $
+
+EAPI="4"
+GCONF_DEBUG="yes"
+
+inherit gnome2
+
+DESCRIPTION="Gnome session manager"
+HOMEPAGE="http://www.gnome.org/"
+
+LICENSE="GPL-2 LGPL-2 FDL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="doc elibc_FreeBSD ipv6 systemd"
+
+# x11-misc/xdg-user-dirs{,-gtk} are needed to create the various XDG_*_DIRs, and
+# create .config/user-dirs.dirs which is read by glib to get G_USER_DIRECTORY_*
+# xdg-user-dirs-update is run during login (see 10-user-dirs-update-gnome below).
+# gdk-pixbuf used in the inhibit dialog
+COMMON_DEPEND=">=dev-libs/glib-2.28.0:2
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-2.90.7:3
+ >=dev-libs/json-glib-0.10
+ >=dev-libs/dbus-glib-0.76
+ >=gnome-base/gconf-2:2
+ >=sys-power/upower-0.9.0
+ elibc_FreeBSD? ( dev-libs/libexecinfo )
+
+ virtual/opengl
+ x11-libs/libSM
+ x11-libs/libICE
+ x11-libs/libXau
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXext
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-misc/xdg-user-dirs
+ x11-misc/xdg-user-dirs-gtk
+ x11-apps/xdpyinfo"
+# Pure-runtime deps from the session files should *NOT* be added here
+# Otherwise, things like gdm pull in gnome-shell
+# gnome-themes-standard is needed for the failwhale dialog themeing
+# sys-apps/dbus[X] is needed for session management
+RDEPEND="${COMMON_DEPEND}
+ gnome-base/gnome-settings-daemon
+ >=gnome-base/gsettings-desktop-schemas-0.1.7
+ >=x11-themes/gnome-themes-standard-2.91.92
+ sys-apps/dbus[X]
+ systemd? ( >=sys-apps/systemd-38 )
+ !systemd? ( sys-auth/consolekit )"
+DEPEND="${COMMON_DEPEND}
+ >=dev-lang/perl-5
+ >=sys-devel/gettext-0.10.40
+ >=dev-util/intltool-0.40.6
+ virtual/pkgconfig
+ !<gnome-base/gdm-2.20.4
+ doc? (
+ app-text/xmlto
+ dev-libs/libxslt )"
+# gnome-common needed for eautoreconf
+# gnome-base/gdm does not provide gnome.desktop anymore
+
+pkg_setup() {
+ G2CONF="${G2CONF}
+ --disable-deprecation-flags
+ --disable-schemas-compile
+ --docdir="${EPREFIX}/usr/share/doc/${PF}"
+ $(use_enable doc docbook-docs)
+ $(use_enable ipv6)
+ $(use_enable systemd)"
+ DOCS="AUTHORS ChangeLog NEWS README"
+}
+
+src_install() {
+ gnome2_src_install
+
+ dodir /etc/X11/Sessions
+ exeinto /etc/X11/Sessions
+ doexe "${FILESDIR}/Gnome"
+
+ dodir /usr/share/gnome/applications/
+ insinto /usr/share/gnome/applications/
+ doins "${FILESDIR}/defaults.list"
+
+ dodir /etc/X11/xinit/xinitrc.d/
+ exeinto /etc/X11/xinit/xinitrc.d/
+ newexe "${FILESDIR}/15-xdg-data-gnome-r1" 15-xdg-data-gnome
+
+ # This should be done here as discussed in bug #270852
+ newexe "${FILESDIR}/10-user-dirs-update-gnome-r1" 10-user-dirs-update-gnome
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! has_version gnome-base/gdm && ! has_version kde-base/kdm; then
+ ewarn "If you use a custom .xinitrc for your X session,"
+ ewarn "make sure that the commands in the xinitrc.d scripts are run."
+ fi
+}
diff --git a/media-libs/clutter-gtk/Manifest b/media-libs/clutter-gtk/Manifest
new file mode 100644
index 0000000..6902382
--- /dev/null
+++ b/media-libs/clutter-gtk/Manifest
@@ -0,0 +1,2 @@
+DIST clutter-gtk-1.3.2.tar.xz 309668 RMD160 96ab4c02c877710f2f859996ba9ede278ac71daf SHA1 dfa2ed9e424ed9f24eed986221ad5fadabc0b58f SHA256 ee50538daca9447be6ad1ed0d049fbb2dc5a1bcaecd13fda847b9b66f922ee37
+EBUILD clutter-gtk-1.3.2.ebuild 1016 RMD160 da864fa666b157213246f5bb51f93a99c15cde64 SHA1 ef5b15ad3040d3246a15e0182d14e94fb8717a06 SHA256 0a6fc54284eb26318ac25e4c147d2cda093248856cec005196ce6e973064017a
diff --git a/media-libs/clutter-gtk/clutter-gtk-1.3.2.ebuild b/media-libs/clutter-gtk/clutter-gtk-1.3.2.ebuild
new file mode 100644
index 0000000..e9a5d1e
--- /dev/null
+++ b/media-libs/clutter-gtk/clutter-gtk-1.3.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-libs/clutter-gtk/clutter-gtk-1.2.0.ebuild,v 1.3 2012/05/05 08:02:35 jdhore Exp $
+
+EAPI="4"
+GCONF_DEBUG="yes"
+CLUTTER_LA_PUNT="yes"
+
+# inherit clutter after gnome2 so that defaults aren't overriden
+inherit gnome2 clutter gnome.org
+
+DESCRIPTION="Clutter-GTK - GTK+3 Integration library for Clutter"
+
+SLOT="1.0"
+KEYWORDS="~alpha ~amd64 ~ppc ~ppc64 ~x86"
+IUSE="doc examples +introspection"
+
+# XXX: Needs gtk with X support (!directfb)
+RDEPEND="
+ >=x11-libs/gtk+-3.2.0:3[introspection?]
+ >=media-libs/clutter-1.9.16:1.0[introspection?]
+ introspection? ( >=dev-libs/gobject-introspection-0.9.12 )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ >=sys-devel/gettext-0.18
+ doc? ( >=dev-util/gtk-doc-1.14 )"
+
+pkg_setup() {
+ DOCS="NEWS README"
+ EXAMPLES="examples/{*.c,redhand.png}"
+ G2CONF="${G2CONF}
+ --disable-maintainer-flags
+ --enable-deprecated
+ $(use_enable introspection)"
+}
diff --git a/media-libs/clutter/Manifest b/media-libs/clutter/Manifest
new file mode 100644
index 0000000..00be3d9
--- /dev/null
+++ b/media-libs/clutter/Manifest
@@ -0,0 +1,2 @@
+DIST clutter-1.11.4.tar.xz 4900392 RMD160 e4da736ed5a50504dca8c18438ba26331e35ea22 SHA1 04ac9754e4fa10e920077dd6f85b01e2bb835507 SHA256 8280de847227fae26c9662f408e766207ba5c5b57766a4dcc09d3eb8d7f6117d
+EBUILD clutter-1.11.4.ebuild 2929 RMD160 0af0765dabfad07a621e53c79acb89a4aa7a5fb5 SHA1 e87124d06ffdeb026a40ee7ca0375bbb1bb42116 SHA256 299432a4cd0c8ac47ab81ff66d535fa74a01497fcc606454fffdad69d84a2ec1
diff --git a/media-libs/clutter/clutter-1.11.4.ebuild b/media-libs/clutter/clutter-1.11.4.ebuild
new file mode 100644
index 0000000..bb345d9
--- /dev/null
+++ b/media-libs/clutter/clutter-1.11.4.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-libs/clutter/clutter-1.10.4.ebuild,v 1.2 2012/05/05 08:02:29 jdhore Exp $
+
+EAPI="4"
+CLUTTER_LA_PUNT="yes"
+WANT_AUTOMAKE="1.11"
+
+# Inherit gnome2 after clutter to download sources from gnome.org
+# since clutter-project.org doesn't provide .xz tarballs
+inherit clutter gnome2 virtualx
+
+DESCRIPTION="Clutter is a library for creating graphical user interfaces"
+
+SLOT="1.0"
+IUSE="debug doc gtk +introspection test" # evdev tslib
+KEYWORDS="~alpha ~amd64 ~ppc ~ppc64 ~x86"
+
+# NOTE: glx flavour uses libdrm + >=mesa-7.3
+# XXX: uprof needed for profiling
+# >=libX11-1.3.1 needed for X Generic Event support
+RDEPEND="
+ >=dev-libs/glib-2.31.19:2
+ >=dev-libs/atk-2.1.5[introspection?]
+ >=dev-libs/json-glib-0.12[introspection?]
+ >=media-libs/cogl-1.9.6:1.0[introspection?,pango]
+ media-libs/fontconfig
+ >=x11-libs/cairo-1.10[glib]
+ >=x11-libs/pango-1.20[introspection?]
+
+ virtual/opengl
+ x11-libs/libdrm
+ >=x11-libs/libX11-1.3.1
+ x11-libs/libXext
+ x11-libs/libXdamage
+ x11-proto/inputproto
+ >=x11-libs/libXi-1.3
+ >=x11-libs/libXfixes-3
+ >=x11-libs/libXcomposite-0.4
+
+ gtk? ( >=x11-libs/gtk+-3.3.18:3 )
+ introspection? ( >=dev-libs/gobject-introspection-0.9.6 )"
+DEPEND="${RDEPEND}
+ >=dev-util/gtk-doc-am-1.15
+ virtual/pkgconfig
+ >=sys-devel/gettext-0.17
+ doc? (
+ >=dev-util/gtk-doc-1.15
+ >=app-text/docbook-sgml-utils-0.6.14[jadetex]
+ dev-libs/libxslt )
+ test? ( x11-libs/gdk-pixbuf )"
+
+# Tests fail with both swrast and llvmpipe
+# They pass under r600g, so the bug is in mesa
+RESTRICT="test"
+
+pkg_setup() {
+ DOCS="README NEWS ChangeLog*"
+
+ # XXX: Conformance test suite (and clutter itself) does not work under Xvfb
+ # XXX: Profiling, coverage disabled for now
+ # XXX: What about cex100/egl/osx/wayland/win32 backends?
+ # XXX: evdev/tslib input seem to be experimental?
+ myconf="--enable-debug=minimum"
+ use debug && myconf="--enable-debug=yes"
+ G2CONF="${G2CONF} ${myconf}
+ --enable-xinput
+ --enable-x11-backend=yes
+ --disable-profile
+ --disable-maintainer-flags
+ --disable-gcov
+ --disable-cex100-backend
+ --disable-egl-backend
+ --disable-quartz-backend
+ --disable-wayland-backend
+ --disable-win32-backend
+ --disable-tslib-input
+ --disable-evdev-input
+ $(use_enable gtk gdk-backend)
+ $(use_enable introspection)
+ $(use_enable doc docs)
+ $(use_enable test conformance)
+ $(use_enable test gdk-pixbuf)"
+}
+
+src_prepare() {
+ gnome2_src_prepare
+
+ # We only need conformance tests, the rest are useless for us
+ sed -e 's/^\(SUBDIRS =\).*/\1/g' \
+ -i tests/Makefile.am || die "am tests sed failed"
+ sed -e 's/^\(SUBDIRS =\)[^\]*/\1/g' \
+ -i tests/Makefile.in || die "in tests sed failed"
+}
+
+src_test() {
+ # Run only the conformance tests
+ # The perf tests are useless because we run under sw rendering
+ cd tests/
+ Xemake test conform
+}
+
+src_install() {
+ clutter_src_install
+}
diff --git a/net-libs/gnome-online-accounts/Manifest b/net-libs/gnome-online-accounts/Manifest
index 5a40103..444274a 100644
--- a/net-libs/gnome-online-accounts/Manifest
+++ b/net-libs/gnome-online-accounts/Manifest
@@ -1,3 +1,3 @@
-DIST gnome-online-accounts-3.5.1.tar.xz 517148 RMD160 35132075da63672e634236edd0c61b07d8bcbaa6 SHA1 ac8f886f97c65d898c76a428f004d1beaf0702dc SHA256 0944d1dc2ebf6fdadede6a469e453cd2829180029e72d367c444bcc17d145785
-EBUILD gnome-online-accounts-3.5.1.ebuild 1567 RMD160 ca5bc1b08e15081a7e1099a97b58c0305b7dd6a9 SHA1 957866d0327105f48a92705106ed863e93449532 SHA256 e82c7732e3a160accaf000960a0179e7c3ef0a722ddc4dd214a8accee066e9cd
-EBUILD gnome-online-accounts-9999.ebuild 1567 RMD160 ca5bc1b08e15081a7e1099a97b58c0305b7dd6a9 SHA1 957866d0327105f48a92705106ed863e93449532 SHA256 e82c7732e3a160accaf000960a0179e7c3ef0a722ddc4dd214a8accee066e9cd
+DIST gnome-online-accounts-3.5.2.tar.xz 520724 RMD160 e7d29184d529376fbc30e8079c55f4f0bfa8a978 SHA1 5623e1b846c5a3c4e82aac91e1a7d1b3a470d128 SHA256 278db08e8cfd4e116e809a8cb708f51087a4b7737ab127dbd96aaa8b456c925e
+EBUILD gnome-online-accounts-3.5.2.ebuild 1567 RMD160 0463b378fd982e7f91e5876ac948fc8b1675ac8d SHA1 fdba1bd093cf91c16f135f16b3dc9f6d04288516 SHA256 fbd0fc9a71fd4e43346a09dd497851af29c3491939da7469baf4e915e4c86221
+EBUILD gnome-online-accounts-9999.ebuild 1567 RMD160 0463b378fd982e7f91e5876ac948fc8b1675ac8d SHA1 fdba1bd093cf91c16f135f16b3dc9f6d04288516 SHA256 fbd0fc9a71fd4e43346a09dd497851af29c3491939da7469baf4e915e4c86221
diff --git a/net-libs/gnome-online-accounts/gnome-online-accounts-3.5.1.ebuild b/net-libs/gnome-online-accounts/gnome-online-accounts-3.5.2.ebuild
index 477bef7..d557378 100644
--- a/net-libs/gnome-online-accounts/gnome-online-accounts-3.5.1.ebuild
+++ b/net-libs/gnome-online-accounts/gnome-online-accounts-3.5.2.ebuild
@@ -34,7 +34,7 @@ RDEPEND="
>=net-libs/libsoup-gnome-2.26:2.4
net-libs/rest:0.7
net-libs/webkit-gtk:3
- >=x11-libs/gtk+-3.0.0:3
+ >=x11-libs/gtk+-3.5.1:3
>=x11-libs/libnotify-0.7
x11-libs/pango
diff --git a/net-libs/gnome-online-accounts/gnome-online-accounts-9999.ebuild b/net-libs/gnome-online-accounts/gnome-online-accounts-9999.ebuild
index 477bef7..d557378 100644
--- a/net-libs/gnome-online-accounts/gnome-online-accounts-9999.ebuild
+++ b/net-libs/gnome-online-accounts/gnome-online-accounts-9999.ebuild
@@ -34,7 +34,7 @@ RDEPEND="
>=net-libs/libsoup-gnome-2.26:2.4
net-libs/rest:0.7
net-libs/webkit-gtk:3
- >=x11-libs/gtk+-3.0.0:3
+ >=x11-libs/gtk+-3.5.1:3
>=x11-libs/libnotify-0.7
x11-libs/pango
diff --git a/sys-apps/gnome-disk-utility/Manifest b/sys-apps/gnome-disk-utility/Manifest
index c8abb3b..205c67a 100644
--- a/sys-apps/gnome-disk-utility/Manifest
+++ b/sys-apps/gnome-disk-utility/Manifest
@@ -1,2 +1,2 @@
-DIST gnome-disk-utility-3.5.1.tar.xz 1118100 RMD160 173c70c11f9320d85f7ccfcd41b7ec689040c6c7 SHA1 7e40705da127533b5b7fdd68f75830df9614eb9d SHA256 e54d9452c13194996331deffbc386f5d886b5aac79d6c423646f01234ce49413
-EBUILD gnome-disk-utility-3.5.1.ebuild 766 RMD160 1b80e60a41bd12ad8c12c9ce8ed7e8d05fa3e98c SHA1 48d6aa3b3a234405c8a888791ff7012341ce7390 SHA256 d61504659daf7ae44c3eaff3489948db30dd7d691518a36377152170adf532ff
+DIST gnome-disk-utility-3.5.2.tar.xz 1120220 RMD160 3539f23b3f8a6be90d7725a14827c23d6bbfc064 SHA1 000ed1ed7afe6f0eabd08793fa3d45bb01d8ee38 SHA256 3d553c0b1bf77327e40af68abd1a044d818ad1da3128c5864dcb1273ed338d05
+EBUILD gnome-disk-utility-3.5.2.ebuild 797 RMD160 29eafc066a0f04553bcee06236ae06c9940d05cc SHA1 fb19c48da579821b7ac83da4133b44ae8849eda1 SHA256 2d82470cd938b413bc9955879b21e5a11e6d43153e975a8768d0aa34fd13f23a
diff --git a/sys-apps/gnome-disk-utility/gnome-disk-utility-3.5.1.ebuild b/sys-apps/gnome-disk-utility/gnome-disk-utility-3.5.2.ebuild
index 40ba6db..4e1c593 100644
--- a/sys-apps/gnome-disk-utility/gnome-disk-utility-3.5.1.ebuild
+++ b/sys-apps/gnome-disk-utility/gnome-disk-utility-3.5.2.ebuild
@@ -20,6 +20,7 @@ CDEPEND="
>=dev-libs/glib-2.31:2
>=sys-fs/udisks-1.97:2
>=x11-libs/gtk+-3.3.11:3
+ >=dev-libs/libpwquality-1.1.0
"
RDEPEND="${CDEPEND}
>=x11-themes/gnome-icon-theme-symbolic-2.91
diff --git a/x11-themes/gnome-themes-standard/Manifest b/x11-themes/gnome-themes-standard/Manifest
new file mode 100644
index 0000000..ddbbb3b
--- /dev/null
+++ b/x11-themes/gnome-themes-standard/Manifest
@@ -0,0 +1,2 @@
+DIST gnome-themes-standard-3.5.2.tar.xz 3361704 RMD160 aa4c5caf1ede8529275fb44ebad03abeca8e8f15 SHA1 fb30e2e4bf82948e53582b13a37bf7a4d54fe658 SHA256 70c4d951fd66c6ee67be402b4a6e56c420b86691202f849d13b9457ad2930ce7
+EBUILD gnome-themes-standard-3.5.2.ebuild 1691 RMD160 d500051897316178f6fc5dbb6f3063e4ccc6e793 SHA1 a81ddc1c3ea9861fc2a670ed551967e84e9f6de7 SHA256 3d83117bf2c1c6c5fac8571b27f3ae288ac50bf20c89250bd6b87e1a63411879
diff --git a/x11-themes/gnome-themes-standard/gnome-themes-standard-3.5.2.ebuild b/x11-themes/gnome-themes-standard/gnome-themes-standard-3.5.2.ebuild
new file mode 100644
index 0000000..5eb74ef
--- /dev/null
+++ b/x11-themes/gnome-themes-standard/gnome-themes-standard-3.5.2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-themes/gnome-themes-standard/gnome-themes-standard-3.4.2.ebuild,v 1.1 2012/05/19 09:36:05 tetromino Exp $
+
+EAPI="4"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2
+
+DESCRIPTION="Adwaita theme for GNOME Shell"
+HOMEPAGE="http://www.gnome.org/"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE=""
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+
+COMMON_DEPEND="gnome-base/librsvg:2
+ x11-libs/cairo
+ >=x11-libs/gtk+-3.3.14:3
+ >=x11-themes/gtk-engines-2.15.3:2"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/intltool-0.40
+ sys-devel/gettext
+ virtual/pkgconfig"
+# gnome-themes{,-extras} are OBSOLETE for GNOME 3
+# http://comments.gmane.org/gmane.comp.gnome.desktop/44130
+# Depend on gsettings-desktop-schemas-3.4 to make sure 3.2 users don't lose
+# their default background image
+RDEPEND="${COMMON_DEPEND}
+ >=gnome-base/gsettings-desktop-schemas-3.4
+ !<x11-themes/gnome-themes-2.32.1-r1"
+
+pkg_setup() {
+ DOCS="ChangeLog NEWS"
+ # The icon cache needs to be generated in pkg_postinst()
+ G2CONF="${G2CONF}
+ --disable-static
+ --disable-placeholders
+ GTK_UPDATE_ICON_CACHE=$(type -P true)"
+}
+
+src_prepare() {
+ gnome2_src_prepare
+ # Install cursors in the right place
+ sed -e 's:^\(cursordir.*\)icons\(.*\):\1cursors/xorg-x11\2:' \
+ -i themes/Adwaita/cursors/Makefile.am \
+ -i themes/Adwaita/cursors/Makefile.in || die
+}
+
+src_install() {
+ gnome2_src_install
+
+ # Make it the default cursor theme
+ cd "${ED}/usr/share/cursors/xorg-x11" || die
+ ln -sfn Adwaita default || die
+}